<?php
# ***** BEGIN LICENSE BLOCK *****
# Presentation plugin for Dotclear
# Copyright (c) 2004-2006 Olivier Meunier. All rights reserved.
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# It is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# ***** END LICENSE BLOCK *****

require_once dirname(__FILE__).'/class.slimbox.php';

$slimbox = new slimbox();

define ('PLUGIN_DIR',basename(dirname(__FILE__)));
$url = 'tools.php?p='.PLUGIN_DIR;

$pageaction = !empty($_POST['pageaction']) ? $_POST['pageaction'] : NULL;

buffer::str(
	'<h1>Slimbox</h1>'
);

if ($pageaction == 'copy') {
	buffer::str('<h2>'.__('Installation').'</h2>');
	$log = '';
	$res = $slimbox->copyFiles($log);
	buffer::str($log);
	if (!$res) {
		$err .= '<p>'.__('An error occured while copying files to the share directory. You may either:').
			'<ul><li>'.__('Remove the /share/slimbox directory from your site and retry the operation').'</li>'.
			'<li>'.__('Copy manually the install/slimbox directory of this plugin to your /share directory').'</li></ul>';
		buffer::str('<div class="erreur"><p><strong>'.__('Error(s)').' :</strong></p>'.$err.'</div>');
	}
	buffer::str('<p><strong><a href="'.$url.'">'.__('Go to the plugin instructions').'</a></strong></p>');

} elseif ($slimbox->isCopyNeeded()) {
	buffer::str(
		'<h2>'.__('Installation').'</h2>'.
		'<form action="'.$url.'" method="post">'.
		'<input type="hidden" name="pageaction" value="copy"/>'.
		'<p class="message">'.
		__('The plugin files need to be copied in the /share directory.').'</p>'.
		'<p><input class="submit" type="submit" value="'.__('Copy files').'" /></p>'.
		dcNonce::form().
		'</form>'
		);
} else {
	$code_for_template = htmlentities('<link rel="stylesheet" href="<?php echo dc_app_url; ?>' . '/share/slimbox/css/slimbox.css" type="text/css" media="screen" />') . '<br/>' .
				htmlentities('<script type="text/javascript" src="<?php echo dc_app_url; ?>' . '/share/slimbox/js/mootools.v1.11.js"></script>') . '<br/>' .
				htmlentities('<script type="text/javascript" src="<?php echo dc_app_url; ?>' . '/share/slimbox/js/slimbox.js"></script>');

	buffer::str(
		'<h2>'.__('Presentation').'</h2>'.
		'<p><strong>Slimbox</strong> '.
			sprintf(__('is a compact clone of %s using %s framework.'),'<a href="http://www.huddletogether.com/projects/lightbox2/">Lightbox JS 2.0</a>','<a href="http://www.mootools.net/">mootools</a>').
		'</p>'.
		'<h2>'.__('How to install it?').'</h2>'.
		'<fieldset class="clear">
			<legend>'.__('Put this code in your theme template juste before').htmlentities(' </head>') . '</legend>'.
			'<code>'. $code_for_template .'</code>' . 
		'</fieldset>' . 

		'<h2>'.__('How to use it?').'</h2>'.
		'<h3>'.__('On Wiki mode').'</h3>'.
		'<p>'.sprintf(__('To use the wiki syntaxe, you have to rename the file %s and copy this one %s in its place.'),'<code>/inc/classes/class.wiki2xhtml.basic.php</code>','<code>/ecrire/tools/slimbox/classes/class.wiki2xhtml.basic.php</code>').'</p>'.
		'<p>'.__('When it\'s done, to use it in the simple image case, you juste have to add the LIGHT element to the wiki syntaxe of the link:').'</p>'.
		'<fieldset class="clear"><legend>'.__('Link on a small image:').'</legend>'.
			'<code>[((/dotclear/images/miniature.jpg))|/dotclear/images/monImage.jpg||'.__('Image legend').'||LIGHT]</code>'.
		'</fieldset>'.
		'<fieldset class="clear"><legend>'.__('Link on a text:').'</legend>'.
			'<code>[texte|/dotclear/images/monImage.jpg||'.__('Image legend').'||LIGHT]</code>'.
		'</fieldset>'.
		'<p>'.__('For a photo album, you just have to add the same album name for each image:').'</p>'.
		'<fieldset class="clear"><legend>'.__('Two link making a album of 2 images:').'</legend>'.
			'<code>[((/dotclear/images/image1_small.jpg))|/dotclear/images/image1.jpg||'.__('Image legend').' 1||album]<br/>'.
				  '[((/dotclear/images/image2_small.jpg))|/dotclear/images/image2.jpg||'.__('Image legend').' 2||album]</code>'.
		'</fieldset>'.

		'<h3>'.__('On XHTML mode').'</h3>'.
		'<p>'.sprintf(__('Add the %s attribut to your link to have the LightBox effect:'), '<code>rel="lightbox"</code>').'</p>'.
		'<fieldset class="clear">'.
			'<code>' . htmlentities('<a href="/dotclear/images/image-1.jpg" rel="lightbox" title="my caption">image #1</a>') . '</code>'.
		'</fieldset>' . 
		'<p><em>Option:</em> '.sprintf(__('You can use the %s attribut to add a legend to the image'), '<code>title</code>').'.</p>' .
		'<p>'.sprintf(__('To have a photo album, use the syntaxe %s (with the album name between []):'), '<code>rel="lightbox[album]"</code>').'</p>'.
		'<fieldset class="clear"><code>' .
			htmlentities('<a href="/dotclear/images/image-1.jpg" rel="lightbox[album1]">image #1</a>') . '<br/>' .
			htmlentities('<a href="/dotclear/images/image-2.jpg" rel="lightbox[album1]">image #2</a>') . '<br/>' .
			htmlentities('<a href="/dotclear/images/image-3.jpg" rel="lightbox[album1]">image #3</a>') . '</code>'.
		'</fieldset>'.
		'<p>'.sprintf(__('More information on the script usage on %sthe offical site of Slimbox%s.'),'<strong><a href="http://www.digitalia.be/software/slimbox/">','</a></strong>').'</p>'.
		'<p>'.__('Plugin made by').' <a href="http://13sportif.free.fr/">Julien Guille</a></p>'
	);
}